<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnValidationOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Tasks',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tasks',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Tasks',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tasks',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'contact_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'AddValidationViolationOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tasks',
                                    ),
                'targetField' => array(
                    'id' => 'targetField',
                                        'value' => 'contact_name',
                                    ),
                'errorText' => array(
                    'id' => 'errorText',
                                        'value' => 'The Contact does not belong to Account to which this Task is related.',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-3id',
            'toOperator' => 'op-3',
            'toConnector' => 'id'
        ),
        'link-4' => array(
            'from' => 'op-3entity',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entity',
            'to' => 'op-4entity',
            'toOperator' => 'op-4',
            'toConnector' => 'entity'
        ),
        'link-13' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-3controlFlow',
            'toOperator' => 'op-3',
            'toConnector' => 'controlFlow'
        ),
        'link-21' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-12entity',
            'toOperator' => 'op-12',
            'toConnector' => 'entity'
        ),
        'link-32' => array(
            'from' => 'op-4fields0',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields0',
            'to' => 'op-17operand1',
            'toOperator' => 'op-17',
            'toConnector' => 'operand1'
        ),
        'link-33' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-17operand2',
            'toOperator' => 'op-17',
            'toConnector' => 'operand2'
        ),
        'link-34' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-11condition',
            'toOperator' => 'op-11',
            'toConnector' => 'condition'
        ),
        'link-36' => array(
            'from' => 'op-11controlFlowIfTrue',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-12controlFlow',
            'toOperator' => 'op-12',
            'toConnector' => 'controlFlow'
        ),
        'link-37' => array(
            'from' => 'op-3controlFlow',
            'fromOperator' => 'op-3',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
    )
);
