<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/validation/lb606729b7b79a38_69546321/operators/FlowchartOperator_lb606729b7b79a38_69546321.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/validation/lb606729b7b79a38_69546321/dataStorage/CollectionStorage_lb606729b7b79a38_69546321.php';

class OnValidationOperator_lb606729b7b79a38_69546321 extends FlowchartOperator_lb606729b7b79a38_69546321{

    static $params= array();

    protected $moduleName;
    protected $flowId;
    protected $bean;
    protected $beanOld;
    protected $isNew;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){

        $this->flowId = $params['flowId'];
        $this->bean = $params['bean'];
        $this->beanOld = $params['beanPrev'];
        $this->isNew = $params['isNew'];

        CollectionStorage_lb606729b7b79a38_69546321::createCollection($this->getCollectionId(), $params['changedFields']);
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);
        $this->moduleName = $this->inDataPorts['module']['value'];
    }

    public function setModuleName($moduleName){
        $this->moduleName = $moduleName;
    }

    public function getModuleName(){
        return $this->moduleName;
    }

    public function getEventName(){
        return 'validation';
    }

    public function getOutDataByPortId($portId){
        if($portId == 'entity')
            return $this->bean;
        elseif($portId == 'previousEntityState'){
            return $this->beanOld;
        }elseif($portId == 'isNewRecord'){
            return $this->isNew;
        }elseif($portId == 'changedFields'){
            return array(
                'collectionId' => $this->getCollectionId(),
                'collectionData' => CollectionStorage_lb606729b7b79a38_69546321::getCollection($this->getCollectionId())
            );
        }
        return '';
    }

    protected function getCollectionId(){
        return $this->flowId . $this->id;
    }

}
